# Uses of Interface
java.nio.file.attribute.GroupPrincipal

Packages that use GroupPrincipal
Package
Description
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.
jdk.net
Platform specific socket options for the `java.net` and `java.nio.channels` socket classes.

## Uses of GroupPrincipal in java.nio.file.attribute

Methods in java.nio.file.attribute that return GroupPrincipal
Modifier and Type
Method
Description
`GroupPrincipal`
PosixFileAttributes.`group()`
Returns the group owner of the file.
`abstract GroupPrincipal`
UserPrincipalLookupService.`lookupPrincipalByGroupName(String group)`
Lookup a group principal by group name.
Methods in java.nio.file.attribute with parameters of type GroupPrincipal
Modifier and Type
Method
Description
`void`
PosixFileAttributeView.`setGroup(GroupPrincipal group)`
Updates the file group-owner.

## Uses of GroupPrincipal in jdk.net

Methods in jdk.net that return GroupPrincipal
Modifier and Type
Method
Description
`GroupPrincipal`
UnixDomainPrincipal.`group()`
Returns the value of the `group` record component.
Constructors in jdk.net with parameters of type GroupPrincipal
Modifier
Constructor
Description
``
`UnixDomainPrincipal(UserPrincipal user, GroupPrincipal group)`
Creates a UnixDomainPrincipal.